/*******************************************************************************
***  This file is part of Pecunia.                                           ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2023                        ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Lesser General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Lesser General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Lesser General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef PECUNIA_INFORMATION_H_
#define PECUNIA_INFORMATION_H_

#include <pecunia_export.h> // cppcheck-suppress missingInclude


namespace pecunia
{

/**
 * @brief Provides the version of the library.
 */
PECUNIA_EXPORT const char* version();
/**
 * @brief Provides the copyright of the library.
 */
PECUNIA_EXPORT const char* copyright();
/**
 * @brief Provides the license of the library.
 */
PECUNIA_EXPORT const char* licence();
/**
 * @brief Provides the URL of the library.
 */
PECUNIA_EXPORT const char* url();
/**
 * @brief Provides the description of the library.
 */
PECUNIA_EXPORT const char* description();

}

#endif
